Bug 653517 - [RFE] Profiles for low-cost sosreports
[RFE] Profiles for low-cost sosreports
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-15 11:27 EST by Pierre Carrier
Modified: 2017-02-23 11:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-23 11:36:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github sosreport/sos/issues/247 None None None 2017-02-23 11:35 EST

  None (edit)
Description Pierre Carrier 2010-11-15 11:27:50 EST
Description of problem:
- sosreport is expensive by default
- For example, lsof can take a lot of resources, specially if network or cluster filesystems are being used

Version-Release number of selected component (if applicable):
all

How reproducible:
100%

Steps to Reproduce:
1. Run sosreport on a server under high load
  
Actual results:
1. Lot of IO

Expected results:
1. A "profile" option, with profiles such as "minimal", "light", "complete", etc.
2. Only sets of plugins are being called depending on the profile being used
Comment 1 Fedora Admin XMLRPC Client 2012-02-25 08:50:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-02-27 08:59:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bryn M. Reeves 2014-04-01 07:36:22 EDT
Filed upstream: https://github.com/sosreport/sosreport/issues/247
Comment 4 Sandro Bonazzola 2017-02-23 11:36:00 EST
The problem described has been handled upstream in https://github.com/sosreport/sosreport/issues/247

Note You need to log in before you can comment on or make changes to this bug.